%define upstream_name	 Heap
%define upstream_version 0.80

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:	%{upstream_name} module for perl
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/J/JM/JMM/%{upstream_name}-%{upstream_version}.tar.bz2


BuildArch:	noarch


%description
The Heap collection of modules provide routines that manage a heap of
elements. A heap is a partially sorted structure that is always able to
easily extract the smallest of the elements in the structure (or the
largest if a reversed compare routine is provided). 

If the collection of elements is changing dynamically, the heap has less
overhead than keeping the collection fully sorted. 

The elements must be objects as described in "Heap::Elem" and all
elements inserted into one heap must be mutually compatible - either the
same class exactly or else classes that differ only in ways unrelated to
the Heap::Elem interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Heap.pm
%{perl_vendorlib}/Heap
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.800.0-2.mga3
+ Revision: 368426
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.800.0-1.mga1
+ Revision: 30532
- mageia rebuild
- imported package perl-Heap

